set -e
set +x

echo "build android start"

BUILD_TYPE=$"release"
BUILD_BRANCH=`git symbolic-ref HEAD 2>/dev/null | cut -d"/" -f 3`
BUILD_COMMIT_ID=`git rev-parse --short HEAD`

echo "===================================== "
echo "BUILD_TYPE: ${BUILD_TYPE}"
echo "BUILD_BRANCH: ${BUILD_BRANCH}"
echo "BUILD_COMMIT_ID: ${BUILD_COMMIT_ID}"
echo "===================================== "

project_path=$(pwd)

flutter pub upgrade

flutter build apk --release

now=$(date +"%Y%m%d%H%M")

#指定输出路径
rm -rf "${project_path}/outputs/app/android"
mkdir -p "${project_path}/outputs/app/android"
output_path_app="${project_path}/outputs/app/android"

#指定输出apk名称
apk_name="${output_path_app}/nertc_flutter_${BUILD_TYPE}_${BUILD_COMMIT_ID}_${now}.apk"

cp build/app/outputs/apk/release/app-release.apk  ${apk_name}


echo "build android done"

set +e
